Bug 569893 - Review Request: - perl-Net-STOMP-Client - STOMP object oriented client module
Summary: Review Request: - perl-Net-STOMP-Client - STOMP object oriented client module
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mykola Ulianytskyi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-02 16:32 UTC by Steve Traylen
Modified: 2010-03-27 02:32 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-03-27 00:57:56 UTC
lystor: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Steve Traylen 2010-03-02 16:32:02 UTC
Spec URL: http://cern.ch/straylen/rpms/perl-Net-STOMP-Client/perl-Net-STOMP-Client.spec
SRPM URL: http://cern.ch/straylen/rpms/perl-Net-STOMP-Client/perl-Net-STOMP-Client-0.8-1.fc12.src.rpm
Description: 
This module provides an object oriented client interface to interact with
servers supporting STOMP (Streaming Text Orientated Messaging Protocol). It
supports the major features of messaging brokers: SSL, asynchronous I/O,
receipts and transactions.

Comment 1 Mykola Ulianytskyi 2010-03-07 20:06:15 UTC
==== MUST ITEMS ====
OK: rpmlint must be run on every package. The output should be posted in the review.

    $ rpmlint {RPMS/noarch,SRPMS}/perl-Net-STOMP-Client-*
    2 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK: The package must be named according to the Package Naming Guidelines .

OK: The spec file name must match the base package %{name}, in the format
    %{name}.spec unless your package has an exemption. [2] .

OK: The package must meet the Packaging Guidelines .

OK: The package must be licensed with a Fedora approved license and meet the
    Licensing Guidelines.

OK: The License field in the package spec file must match the actual license.

NA: If (and only if) the source package includes the text of the license(s) in
    its own file, then that file, containing the text of the license(s) for the
    package must be included in %doc.[4]

OK: The spec file must be written in American English. [5]

OK: The spec file for the package MUST be legible. [6]

OK: The sources used to build the package must match the upstream
    source, as provided in the spec URL.

    upstream: 94b6b61ac64c91be844aa94efe1c9247  Net-STOMP-Client-0.8.tar.gz

OK: The package MUST successfully compile and build into binary rpms on
    at least one primary architecture.

OK: If the package does not successfully compile, build or work on an
    architecture, then those architectures should be listed in the spec in
    ExcludeArch.

OK: All build dependencies must be listed in BuildRequires, except for
    any that are listed in the exceptions section of the Packaging Guidelines ;
    inclusion of those as BuildRequires is optional. Apply common sense.

NA: The spec file MUST handle locales properly. This is done by using
    the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]

NA: Every binary RPM package (or subpackage) which stores shared library
    files (not just symlinks) in any of the dynamic linker's default paths, must
    call ldconfig in %post and %postun. [10]

OK: Packages must NOT bundle copies of system libraries.[11]

NA: If the package is designed to be relocatable, the packager must
    state this fact in the request for review

OK: A package must own all directories that it creates.

OK: A Fedora package must not list a file more than once in the spec
    file's %files listings. [14]

OK: Permissions on files must be set properly.

OK: Each package must have a %clean section, which contains rm -rf
    %{buildroot} (or $RPM_BUILD_ROOT). [16]

OK: Each package must consistently use macros. [17]

OK: The package must contain code, or permissable content. [18]

NA: Large documentation files must go in a -doc subpackage.

OK: If a package includes something as %doc, it must not affect the
    runtime of the application.

NA: Header files must be in a -devel package. [20]

NA: Static libraries must be in a -static package. [21]

NA: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'

NA: If a package contains library files with a suffix, then library files
    that end in .so (without suffix) must go in a -devel package. [20]

NA: devel packages must require the base package

NA: Packages must NOT contain any .la libtool archives, these must be
    removed in the spec if they are built.[21]

NA: Packages containing GUI applications must include a %{name}.desktop

OK: Packages must not own files or directories already owned by other
    packages.

OK: At the beginning of %install, each package MUST run rm -rf
    %{buildroot} (or $RPM_BUILD_ROOT). [26]

OK: All filenames in rpm packages must be valid UTF-8. [27]


==== SHOULD ITEMS ====
OK: The reviewer should test that the package builds in mock. [30]


==== RESULT ====
APPROVED

Comment 2 Steve Traylen 2010-03-07 20:45:17 UTC
New Package CVS Request
=======================
Package Name: perl-Net-STOMP-Client
Short Description: STOMP object oriented client module
Owners: stevetraylen
Branches: F-11 F-12 F-13 EL-4 EL-5
InitialCC: perl-sig

Thanks, for the review.

Steve

Comment 3 Kevin Fenzi 2010-03-09 06:18:49 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-03-09 12:09:36 UTC
perl-Net-STOMP-Client-0.8-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/perl-Net-STOMP-Client-0.8-2.el4

Comment 5 Fedora Update System 2010-03-09 12:10:06 UTC
perl-Net-STOMP-Client-0.8-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Net-STOMP-Client-0.8-2.el5

Comment 6 Fedora Update System 2010-03-09 12:10:35 UTC
perl-Net-STOMP-Client-0.8-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Net-STOMP-Client-0.8-2.fc11

Comment 7 Fedora Update System 2010-03-09 12:11:05 UTC
perl-Net-STOMP-Client-0.8-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Net-STOMP-Client-0.8-2.fc12

Comment 8 Fedora Update System 2010-03-09 12:11:34 UTC
perl-Net-STOMP-Client-0.8-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Net-STOMP-Client-0.8-2.fc13

Comment 9 Fedora Update System 2010-03-10 06:42:52 UTC
perl-Net-STOMP-Client-0.8-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Net-STOMP-Client'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Net-STOMP-Client-0.8-2.fc11

Comment 10 Fedora Update System 2010-03-10 06:43:50 UTC
perl-Net-STOMP-Client-0.8-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Net-STOMP-Client'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Net-STOMP-Client-0.8-2.fc13

Comment 11 Fedora Update System 2010-03-10 06:56:44 UTC
perl-Net-STOMP-Client-0.8-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Net-STOMP-Client'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Net-STOMP-Client-0.8-2.fc12

Comment 12 Fedora Update System 2010-03-12 00:04:28 UTC
perl-Net-STOMP-Client-0.8-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Net-STOMP-Client'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Net-STOMP-Client-0.8-2.el4

Comment 13 Fedora Update System 2010-03-12 00:05:18 UTC
perl-Net-STOMP-Client-0.8-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Net-STOMP-Client'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Net-STOMP-Client-0.8-2.el5

Comment 14 Fedora Update System 2010-03-27 00:57:51 UTC
perl-Net-STOMP-Client-0.8-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-03-27 00:59:34 UTC
perl-Net-STOMP-Client-0.8-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-03-27 02:32:08 UTC
perl-Net-STOMP-Client-0.8-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-03-27 02:32:32 UTC
perl-Net-STOMP-Client-0.8-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.